.species-select-overlay {
    position: absolute;
    bottom: 1rem;
    left: 1rem;
    z-index: 1000; /* higher than Leaflet tiles */
    width: auto;
    min-width: 300px;
    pointer-events: auto;
    background: white;
    padding: 0.5rem;
    border-radius: 6px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.15);
}

.map-info-separator {
    margin: 1rem 0 0.5rem 0;
    height: 2px;
    width: 100%;
    border-radius: 1px;
    background: rgba(175, 175, 175, 0.8);
}

.map-baselayer-radio-container {
    display: flex;
    flex-direction: column;
}

.map-overlay-header {
    font-size: 1rem;
    font-weight: 600;
    margin: 0;
}

.map-region-marker-popup {
    display: flex;
    flex-direction: column;
    gap: 0.1rem;
}

.legend-region-with-occurrences {
    width: 12px;
    height: 12px;
    border-radius: 50%;
    background-color: #3a3a3a;
}

.legend-region-without-occurrences {
    width: 12px;
    height: 12px;
    border-radius: 50%;
    background-color: white;
    border: 1px solid #3a3a3a;
}

.legend-region-without-data {
    width: 12px;
    height: 12px;
    border-radius: 50%;
    background-color: white;
    border: 1px solid #3a3a3a;
    position: relative;
}

.legend-region-without-data::after {
    content: "";
    position: absolute;
    margin: 0;
    top: 50%;
    left: 50%;
    width: 4px;
    height: 4px;
    border-radius: 50%;
    background-color: #3a3a3a;
    transform: translate(-50%, -50%);

}
